Announcement Announcement Module
Collapse
No announcement yet.
2 different versions of com.sun.xml.wss xws-security 2.0-FCS in Maven repositories Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • 2 different versions of com.sun.xml.wss xws-security 2.0-FCS in Maven repositories

    Hi all

    com.sum.xml.wss xws-security 2.0-FCS is present in 2 Maven repositories,
    here:
    http://download.java.net/maven/1/com.sun.xml.wss/
    and here:
    https://springframework.svn.sourcefo...urity/2.0-fcs/

    The problem is that these two versions have different dependencies.
    The first one:
    javax.xml.crypto xmldsig 1.0
    and the second one:
    javax.xml xmldsig 1.0.1

    Which one is selected by Maven is a lotery. Why there is a copy of xws-security in spring-ext repository? Is this intensional (bumped xmldsig dependency version) or by accident?

    Grzegorz Slowikowski

  • #2
    I see the difference: '2.0-FCS' vs '2.0-fcs'. But I'm on Windows.

    These two versions are different for Maven if they are not in my local repository. When present locally they are not distinguishable (Windows file names are not case sensitive).

    Maybe you should create another version number eg '2.0-fcs-spring' or something.

    Greetings

    Grzegorz Slowikowski

    P.S.
    This problem costed me some hours of invertigation what's going on.

    Comment


    • #3
      I put up the version in our repo-ext, because at the time (roughly around rc1, IIRC), there was no version at download.java.net yet. Currently, the java.net version is used though.

      If I remove it now, older versions of Spring-WS might do build anymore. So I created a relocation POM that points at the java.net version. That should do the trick.

      Comment

      Working...
      X